at.chipkarte.client.abs.soap.exceptions

## Class AbsExceptionContent

- Object
- - at.chipkarte.client.base.soap.exceptions.BaseExceptionContent
  - - at.chipkarte.client.abs.soap.exceptions.AbsExceptionContent

-     public class AbsExceptionContent
      extends BaseExceptionContent

  Exception-Inhalt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsExceptionContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getKVTCodes()` Wenn die ABS-Exception aufgrund einer fehlenden beziehungsweise fehlerhaften Eingabe des KVT in der Bewilligungsanfrage erfolgte und der betreffende Patient Ansprüche bei mehreren GKKs besitzt, werden diese hier retourniert.
    `PatientenDaten` | `getPatientenDaten()` Wenn zum Zeitpunkt des Fehlerereignisses der Patient bereits vom e-card Serversystem ermittelt werden konnte, werden dessen Daten retourniert.
    `void` | `setKVTCodes(String[] ts)`
    `void` | `setPatientenDaten(PatientenDaten person)`

    - ### Methods inherited from class at.chipkarte.client.base.soap.exceptions.BaseExceptionContent

      `getCode, getErrorCode, getMessage, setCode, setErrorCode, setMessage`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbsExceptionContent

          public AbsExceptionContent()

  - ### Method Detail

    - #### getPatientenDaten

          public PatientenDaten getPatientenDaten()

      Wenn zum Zeitpunkt des Fehlerereignisses der Patient bereits vom e-card Serversystem ermittelt werden konnte, werden dessen Daten retourniert.
      Returns:
        Array von `PatientenDaten` Objekten

    - #### getKVTCodes

          public String[] getKVTCodes()

      Wenn die ABS-Exception aufgrund einer fehlenden beziehungsweise fehlerhaften Eingabe des KVT in der Bewilligungsanfrage erfolgte und der betreffende Patient Ansprüche bei mehreren GKKs besitzt, werden diese hier retourniert.
      Returns:
        Array von KVT-Codes, siehe auch `GKK/BKK(ASVG)-Kennzeichen`.

    - #### setPatientenDaten

          public void setPatientenDaten(PatientenDaten person)

    - #### setKVTCodes

          public void setKVTCodes(String[] ts)